#ifndef MDD_IOUTPUT_H
#define MDD_IOUTPUT_H
#include "json.hpp"
#include <memory>

namespace mdd
{
    class IModule;

    class IOutput {
    public:
        virtual const json& getValue() = 0;

        virtual std::string getType() = 0;

        virtual bool hasChanges() = 0;

        virtual void resetChange() = 0;

        virtual ~IOutput() = default;
    };
}

#endif //MDD_IOUTPUT_H
