#ifndef MDD_OUTPUT_H
#define MDD_OUTPUT_H
#include "IOutput.h"
#include "IModule.h"

namespace mdd {
    class Output : public IOutput {
    private:
        std::string _type;
        bool _changed;
        json _value;

    public:
        Output(const std::string& type, const json& initial);

        const json& getValue() override;

        json& getValueInternal();

        std::string getType() override;

        bool hasChanges() override;

        void resetChange() override;
    };
}
#endif
